/**
 * Copyright (c) 2015-present, Facebook, Inc.
 * All rights reserved.
 *
 * This source code is licensed under the BSD-style license found in the
 * LICENSE file in the root directory of this source tree. An additional grant
 * of patent rights can be found in the PATENTS file in the same directory.
 */

import { applyStyles } from '../utils/dom/css';
import { hintsStyle, hintStyle, closeButtonStyle } from '../styles';

function createHint(document, hint, title) {
  var span = document.createElement('span');
  span.appendChild(document.createTextNode(hint));
  span.setAttribute('title', title);
  applyStyles(span, hintStyle);
  return span;
}

function createClose(document, callback) {
  var hints = document.createElement('div');
  applyStyles(hints, hintsStyle);

  var close = createHint(document, '×', 'Click or press Escape to dismiss.');
  close.addEventListener('click', function () {
    return callback();
  });
  applyStyles(close, closeButtonStyle);
  hints.appendChild(close);
  return hints;
}

export { createClose };